%define version2 4.11.14

Name:           task-kde4
Version:        4.14.3
Release:        %mkrel 2
Summary:        Dependencies needed for Full KDE4 Desktop
Group:          Tasks
License:        GPL

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires: akonadi
Requires: kde-smooth-tasks-fork
Requires: kde-baseapps-core >= %{version}
Requires: kde-baseapps-dolphin >= %{version}
Requires: kde-runtime >= %{version}
Requires: kde-workspace-core >= %{version2}
Requires: kdelibs >= %{version}
Requires: kde-multimedia-kmix >= %{version}
Requires: kde-pimlibs >= %{version}
Requires: kdm >= %{version2}
Requires: kwebkitpart
Requires: %{_lib}soprano4
Requires: %{_lib}sopranoclient1
Requires: %{_lib}sopranoindex1
Requires: %{_lib}sopranoserver1
Requires: oxygen-icon-theme >= %{version}
Requires: plasma-desktoptheme-glassified
Requires: soprano
Requires: soprano-plugin-common
Requires: soprano-plugin-virtuoso
Requires: strigi
Requires: virtuoso-opensource
Requires: xsettings-kde
Requires: gtk-oxygen-molecule
Requires: kde-graphics-libs >= %{version}
Requires: kde-plasma-addons >= %{version}
Requires: kwrite >= %{version}
Requires: konsole >= %{version}
Requires: kde-baseapps-plasma >= %{version}
# above is kde4-minimal, now add more to it
Requires: kde-accessibility-kaccessible >= %{version}
Requires: kcron >= %{version}
Requires: kuser >= %{version}
Requires: ksystemlog >= %{version}
Requires: kde-artwork >= %{version}
Requires: kde-artwork-color-schemes >= %{version}
Requires: kde-artwork-emoticons >= %{version}
Requires: kde-artwork-icons-theme-nuvola >= %{version}
Requires: kde-artwork-kscreensaver >= %{version}
Requires: kde-artwork-sounds >= %{version}
Requires: kde-artwork-styles >= %{version}
Requires: kde-artwork-wallpapers >= %{version}
Requires: kde-workspace >= %{version2}
Requires: kde-allgames >= %{version}
Requires: kde-graphics >= %{version}
Requires: kde-multimedia >= %{version}
Requires: kdenetwork-kget >= %{version}
Requires: kdenetwork-krdc-krfb >= %{version}
Requires: kdenetwork-filesharing >= %{version}
Requires: kde-pim >= %{version}
Requires: kde-pimlibs >= %{version}
Requires: kde-utils >= %{version}
# Requires: kde-sdk
# exclude kde-sdk and kde-edu-cantor because it pulls in R-base and valgrind
Requires: kde-edu-analitza >= %{version}
Requires: kde-edu-blinken >= %{version}
Requires: kde-edu-kalgebra >= %{version}
Requires: kde-edu-kalzium >= %{version}
Requires: kde-edu-kanagram >= %{version}
Requires: kde-edu-kbruch >= %{version}
Requires: kde-edu-kgeography >= %{version}
###Requires: kde-edu-khangman >= %{version}  # broken
Requires: kde-edu-kig >= %{version}
Requires: kde-edu-kiten >= %{version}
Requires: kde-edu-klettres >= %{version}
Requires: kde-edu-kmplot >= %{version}
Requires: kde-edu-kstars >= %{version}
Requires: kde-edu-ktouch >= %{version}
Requires: kde-edu-kturtle >= %{version}
Requires: kde-edu-kwordquiz >= %{version}
Requires: kde-edu-marble >= %{version}
Requires: kde-edu-parley >= %{version}
Requires: kde-edu-step >= %{version}
Requires: wallpaper-theme-pclinuxos
Requires: kdm-theme-pclinuxos
Requires: ksplash-theme-pclinuxos



%description
This package is a meta package, meaning that its purpose is to install
dependencies for running a Full KDE4 desktop environment.
kde-edu-cantor and development tools (kde-sdk) may be installed separately.

#--------------------------------------------------------------------

%files
%defattr(-,root,root -)

%post
test=`rpm -qa kde4-config*`
if [ "$test" == "" ]; then 
echo "IMPORTANT: please install: kde4-config"
fi

%changelog
* Tue Mar 08 2016 woodhead <pp> 4.14.3-2pclos2016
- remove khangman

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 4.12.3-1pclos2014
- 4.12.3

* Wed Jan 08 2014 pinoc <vogtpet at gmail.com> 4.11.5-1pclos2014
- 4.11.5

* Thu Nov 07 2013 pinoc <vogtpet at gmail.com> 4.11.3-1pclos2013
- 4.11.3

* Tue Jul 2 2013 pinoc <vogtpet at gmail.com> 4.10.5-1pclos2013
- 4.10.5

* Tue Jun 5 2013 pinoc <vogtpet at gmail.com> 4.10.4-1pclos2013
- 4.10.4

* Sun Apr 28 2013 pinoc <vogtpet at gmail.com> 4.10.1-3pclos2013
- amended to smooth-tasks-fork

* Mon Mar 18 2013 pinoc <vogtpet at gmail.com> 4.10.1-2pclos2013
- corrected games-package

* Wed Mar 13 2013 pinoc <vogtpet at gmail.com> 4.10.1-1pclos2013
- 4.10.1

* Mon Jan 28 2013 pinoc <vogtpet at gmail.com> 4.9.5-3pclos2013
- amend to use existing kde4-config 

* Fri Jan 25 2013 pinoc <vogtpet at gmail.com> 4.9.5-2pclos2013
- exclude kde-sdk and kde-cantor because it pulls in big packages R-base and valgrind
- removed noarch

* Sun Jan 20 2013 pinoc <vogtpet at gmail.com> 4.9.5-1pclos2013
- 4.9.5

* Thu Dec 09 2010 Texstar <texstar at gmail.com> 4.5.4-2pclos2010
- update

* Mon Nov 29 2010 Texstar <texstar at gmail.com> 4.5.4-1pclos2010
- update

